import {select, arc} from 'd3'

const svg = d3.select('svg')


const width = +svg.attr('width')
const height = +svg.attr('height')

const g = svg
	.append('g')
		.attr('transform', `translate(${width/2}, ${height/2})`)

const circle = g
	.append('circle')
  	.attr('r', height/2)
		.attr('fill', 'yellow')
		.attr('stroke', 'black')

const eyeSpacing = 100
const eyeYOffset = -70
const eyeRadius  = 40
const eyebrowWidth = 70
const eyebrowHeight = 15
const eyborowYOffset = -70

const eyesG = g
	.append('g')
		.attr('transform', 'translate(0, -70)')

const leftEye = eyesG
	.append('circle')
  	.attr('r', eyeRadius)
		.attr('cx', -eyeSpacing)


const rightEye = eyesG
	.append('circle')
  	.attr('r', eyeRadius)
		.attr('cx', eyeSpacing)

const leftEyebrow = eyesG
	.append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('y', eyborowYOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)

const rightEyebrow = eyesG
	.append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('y', eyborowYOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
    .transition()
      .duration(2000)
      .attr('y', eyborowYOffset - 30)
    .transition()
      .duration(2000)
      .attr('y', eyborowYOffset)


// const mouth = g
// 	.append('path')
//     .attr('d', arc()({
//       innerRadius: 150,
//       outerRadius: 170,
//       startAngle: Math.PI / 2,
//       endAngle: Math.PI * 3 / 2
//     }))

// const mouth = g
// 	.append('path')
//     .attr('d', arc()({
//       innerRadius: 150,
//       outerRadius: 170,
//       startAngle: 2.3,
//       endAngle: 4
//     }))
		// .transition()
		// 	.duration(2000)
		// 	.attr(

const mouth2 = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: 4,
      endAngle: 2.3
    }))








